using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class GamePanel : MonoBehaviour
{
    #region Fields
    [SerializeField] private TextMeshProUGUI _waveCount = null;
    [SerializeField] private TextMeshProUGUI _lifeCount = null;
    [SerializeField] private TextMeshProUGUI _enemyKilledCount = null;
    #endregion Fields

    #region Properties
    #endregion Properties

    #region Methods
    private void Start()
    {
        DisplayWaveCount(0);
        DisplayLifeCount(0);
        DiplayEnemyKilled(0);
    }

    public void DisplayWaveCount(int count)
    {
        _waveCount.text = $"Waves : {count}";
    }

    public void DisplayLifeCount(float count)
    {
        count = Mathf.Max(0, count);
        _lifeCount.text = $"Life : {count:0}";
    }

    public void DiplayEnemyKilled(int count)
    {
        _enemyKilledCount.text = $"Kill Count : {count}";
    }
    #endregion Methods
}
